com.h3c.util.snmp

## Enum SnmpFieldType

- java.lang.Object
- - java.lang.Enum<SnmpFieldType>
  - - com.h3c.util.snmp.SnmpFieldType

- All Implemented Interfaces:
    Serializable, Comparable<SnmpFieldType>

      public enum SnmpFieldType
      extends Enum<SnmpFieldType>

  ASN.1 field types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION`
    `ASN_NULL`
    `BOOLEAN`
    `CONSTRUCTED`
    `CONTEXT`
    `COUNTER32`
    `COUNTER64`
    `GAUGE32`
    `GET_BULK_REQ`
    `GET_NEXT_REQ`
    `GET_REPORT`
    `GET_REQ`
    `GET_RESP`
    `INFORM_REQ`
    `INTEGER`
    `IP_ADDRESS`
    `OCTET_STR`
    `OID`
    `OPAQUE`
    `PRIMITIVE`
    `PRIVATE`
    `SEQUENCE`
    `SET_REQ`
    `TIME_TICKS`
    `TRAPV1_REQ`
    `TRAPV2V3_REQ`
    `UINTEGER32`
    `UNIVERSAL`
    `VARBIND_END_OF_MIB` Indicated an attempt to reference an object identifier that is beyond the end of the MIB at the agent (response to GET_REQ, GET_BULK_REQ).
    `VARBIND_NO_SUCH_INST` Indicated that this object does not exists for this operation (response to GET_RESP).
    `VARBIND_NO_SUCH_OBJ` Indicated the agent does not implement the object referred to by this object identifier (response to GET_RESP).
    `VARBIND_OK` Indicates no variable binding error.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static SnmpFieldType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SnmpFieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNIVERSAL

          public static final SnmpFieldType UNIVERSAL

    - #### APPLICATION

          public static final SnmpFieldType APPLICATION

    - #### CONTEXT

          public static final SnmpFieldType CONTEXT

    - #### PRIVATE

          public static final SnmpFieldType PRIVATE

    - #### PRIMITIVE

          public static final SnmpFieldType PRIMITIVE

    - #### CONSTRUCTED

          public static final SnmpFieldType CONSTRUCTED

    - #### BOOLEAN

          public static final SnmpFieldType BOOLEAN

    - #### INTEGER

          public static final SnmpFieldType INTEGER

    - #### OCTET_STR

          public static final SnmpFieldType OCTET_STR

    - #### ASN_NULL

          public static final SnmpFieldType ASN_NULL

    - #### OID

          public static final SnmpFieldType OID

    - #### SEQUENCE

          public static final SnmpFieldType SEQUENCE

    - #### IP_ADDRESS

          public static final SnmpFieldType IP_ADDRESS

    - #### COUNTER32

          public static final SnmpFieldType COUNTER32

    - #### GAUGE32

          public static final SnmpFieldType GAUGE32

    - #### TIME_TICKS

          public static final SnmpFieldType TIME_TICKS

    - #### OPAQUE

          public static final SnmpFieldType OPAQUE

    - #### COUNTER64

          public static final SnmpFieldType COUNTER64

    - #### UINTEGER32

          public static final SnmpFieldType UINTEGER32

    - #### GET_REQ

          public static final SnmpFieldType GET_REQ

    - #### GET_NEXT_REQ

          public static final SnmpFieldType GET_NEXT_REQ

    - #### GET_RESP

          public static final SnmpFieldType GET_RESP

    - #### SET_REQ

          public static final SnmpFieldType SET_REQ

    - #### TRAPV1_REQ

          public static final SnmpFieldType TRAPV1_REQ

    - #### GET_BULK_REQ

          public static final SnmpFieldType GET_BULK_REQ

    - #### INFORM_REQ

          public static final SnmpFieldType INFORM_REQ

    - #### TRAPV2V3_REQ

          public static final SnmpFieldType TRAPV2V3_REQ

    - #### GET_REPORT

          public static final SnmpFieldType GET_REPORT

    - #### VARBIND_NO_SUCH_OBJ

          public static final SnmpFieldType VARBIND_NO_SUCH_OBJ

      Indicated the agent does not implement the object referred to by this object identifier (response to GET_RESP).

    - #### VARBIND_NO_SUCH_INST

          public static final SnmpFieldType VARBIND_NO_SUCH_INST

      Indicated that this object does not exists for this operation (response to GET_RESP).

    - #### VARBIND_END_OF_MIB

          public static final SnmpFieldType VARBIND_END_OF_MIB

      Indicated an attempt to reference an object identifier that is beyond the end of the MIB at the agent (response to GET_REQ, GET_BULK_REQ).

    - #### VARBIND_OK

          public static final SnmpFieldType VARBIND_OK

      Indicates no variable binding error.

  - ### Method Detail

    - #### values

          public static SnmpFieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnmpFieldType c : SnmpFieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnmpFieldType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SnmpFieldType>`

Copyright © 2014. All Rights Reserved.